#include "stdafx.h"
#include "lua.h"
#include "OpenLua.h"

extern lua_State *lua;

void OpenLuaScript(void *inptr) 
{
	static char BASED_CODE szFilter[] = "Lua Script Files (*.lua)|*.lua|";
	char ext[]=".lua";	

	CFileDialog MyDlg(TRUE,ext,NULL,OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,szFilter);
	int lua_error_code;
	
	if(MyDlg.DoModal()==IDOK)
	{
		if (lua_error_code=lua_dofile(lua,MyDlg.GetPathName())!=0)
		{
			//something went wrong !
			if (lua_error_code==LUA_ERRRUN) AfxMessageBox("Run Error");
			if (lua_error_code==LUA_ERRSYNTAX) AfxMessageBox("Syntax Error");
			if (lua_error_code==LUA_ERRMEM) AfxMessageBox("Lua memory Error");
			if (lua_error_code==LUA_ERRERR)	AfxMessageBox("User error error");
			if (lua_error_code==LUA_ERRFILE) AfxMessageBox("File Error");
		}
	}
}
