// CircDlg.cpp : implementation file
//

#include "stdafx.h"
#include "belaview.h"
#include "complex.h"
#include <afxtempl.h>
#include "problem.h"
#include "xyplot.h"
#include "belaviewdoc.h"
#include "CircDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCircDlg dialog


CCircDlg::CCircDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCircDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCircDlg)
	//}}AFX_DATA_INIT
}


void CCircDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCircDlg)
	DDX_Control(pDX, IDC_CIRCNAME, m_circname);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCircDlg, CDialog)
	//{{AFX_MSG_MAP(CCircDlg)
	ON_CBN_SELCHANGE(IDC_CIRCNAME, OnSelchangeCircname)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCircDlg message handlers
//////////////////////////////////////////////////////
void CCircDlg::OnSelchangeCircname() 
{
	if(NumCircuits==0) return;

	int k;
	CString crslt;

	k=m_circname.GetCurSel();
	crslt.Format("Voltage = %g Volts\r\nCharge = %g Coulombs",
		TheDoc->circproplist[k].V,TheDoc->circproplist[k].q);
	SetDlgItemText(IDC_CIRCRESULT,crslt);
	
}

BOOL CCircDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int i;
	
	NumCircuits=TheDoc->circproplist.GetSize();
	for(i=0;i<NumCircuits;i++)
		m_circname.AddString(TheDoc->circproplist[i].CircName);
	
	if(NumCircuits!=0){
		m_circname.SetCurSel(0);
		OnSelchangeCircname();
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
