// BdryDlg.cpp : implementation file
//

#include "stdafx.h"
#include "beladraw.h"
#include "BdryDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBdryDlg dialog


CBdryDlg::CBdryDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBdryDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBdryDlg)
	m_BdryName = _T("");
	m_c0 = 0.0;
	m_c1 = 0.0;
	m_v = 0.0;
	m_qs = 0.0;
	//}}AFX_DATA_INIT
}


void CBdryDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBdryDlg)
	DDX_Control(pDX, IDC_BDRYFORMAT, m_BdryFormat);
	DDX_Text(pDX, IDC_BDRYNAME, m_BdryName);
	DDX_Text(pDX, IDC_C0, m_c0);
	DDX_Text(pDX, IDC_C1, m_c1);
	DDX_Text(pDX, IDC_VBDRY, m_v);
	DDX_Text(pDX, IDC_QS, m_qs);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_VBDRY, m_IDC_VBDRY);
	DDX_Control(pDX, IDC_QS, m_IDC_QS);
	DDX_Control(pDX, IDC_BDRYNAME, m_IDC_BDRYNAME);
	DDX_Control(pDX, IDC_C0, m_IDC_c0);
	DDX_Control(pDX, IDC_C1, m_IDC_c1);
}


BEGIN_MESSAGE_MAP(CBdryDlg, CDialog)
	//{{AFX_MSG_MAP(CBdryDlg)
	ON_CBN_SELCHANGE(IDC_BDRYFORMAT, OnSelchangeBdryformat)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBdryDlg message handlers

void CBdryDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	BdryFormat=m_BdryFormat.GetCurSel();

	CDialog::OnOK();
}

BOOL CBdryDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_BdryFormat.SetCurSel(BdryFormat);
	OnSelchangeBdryformat();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CBdryDlg::OnSelchangeBdryformat() 
{
	switch(m_BdryFormat.GetCurSel())
	{
		case 0:

			m_IDC_VBDRY.EnableWindow(TRUE);
			m_IDC_QS.EnableWindow(FALSE);
			m_IDC_c0.EnableWindow(FALSE);
			m_IDC_c1.EnableWindow(FALSE);
		
			break;

		case 1:

		
			m_IDC_VBDRY.EnableWindow(FALSE);
			m_IDC_QS.EnableWindow(FALSE);
			m_IDC_c0.EnableWindow(TRUE);
			m_IDC_c1.EnableWindow(TRUE);
			
		

			break;

		case 2:

			m_IDC_VBDRY.EnableWindow(FALSE);
			m_IDC_QS.EnableWindow(TRUE);
			m_IDC_c0.EnableWindow(FALSE);
			m_IDC_c1.EnableWindow(FALSE);
			
			break;

		default:

			m_IDC_VBDRY.EnableWindow(FALSE);
			m_IDC_QS.EnableWindow(FALSE);
			m_IDC_c0.EnableWindow(FALSE);
			m_IDC_c1.EnableWindow(FALSE);
		
			break;

	}
}
