// CircProp.cpp : implementation file
//

#include "stdafx.h"
#include "beladraw.h"
#include "CircProp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCircProp dialog


CCircProp::CCircProp(CWnd* pParent /*=NULL*/)
	: CDialog(CCircProp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCircProp)
	m_circname = _T("");
	m_v = 0.0;
	m_q = 0.0;
	//}}AFX_DATA_INIT
}


void CCircProp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCircProp)
	DDX_Text(pDX, IDC_CIRCNAME, m_circname);
	DDX_Text(pDX, IDC_V, m_v);
	DDX_Text(pDX, IDC_Q, m_q);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_CIRCNAME, m_idc_circname);
	DDX_Control(pDX, IDC_V, m_idc_v);
	DDX_Control(pDX, IDC_Q, m_idc_q);
}


BEGIN_MESSAGE_MAP(CCircProp, CDialog)
	//{{AFX_MSG_MAP(CCircProp)
	ON_BN_CLICKED(IDC_RADIOAMP, OnRadioamp)
	ON_BN_CLICKED(IDC_RADIOVOLT, OnRadiovolt)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCircProp message handlers

void CCircProp::OnRadioamp() 
{
	m_circtype=0;
	m_idc_q.EnableWindow(TRUE);
	m_idc_v.EnableWindow(FALSE);
}

void CCircProp::OnRadiovolt() 
{
	m_circtype=1;
	m_idc_q.EnableWindow(FALSE);
	m_idc_v.EnableWindow(TRUE);
}

BOOL CCircProp::OnInitDialog() 
{
	CDialog::OnInitDialog();
	  
	int SetEm;
	
	SetEm=IDC_RADIOAMP;
	if(m_circtype==1){
		SetEm=IDC_RADIOVOLT;
		OnRadiovolt();
	}
	else OnRadioamp();

   CheckRadioButton(
    IDC_RADIOVOLT,// identifier of first radio button in group
    IDC_RADIOAMP,	// identifier of last radio button in group
    SetEm	// identifier of radio button to select
   );
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
