// NodeProp.cpp : implementation file
//

#include "stdafx.h"
#include "beladraw.h"
#include "NodeProp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNodeProp dialog


CNodeProp::CNodeProp(CWnd* pParent /*=NULL*/)
	: CDialog(CNodeProp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNodeProp)
	m_nodename = _T("");
	m_qp = 0.0;
	m_vp = 0.0;
	//}}AFX_DATA_INIT
}


void CNodeProp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNodeProp)
	DDX_Text(pDX, IDC_NODENAME, m_nodename);
	DDX_Text(pDX, IDC_QP, m_qp);
	DDX_Text(pDX, IDC_VP, m_vp);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_VP, m_IDC_vp);
	DDX_Control(pDX, IDC_QP, m_IDC_qp);
	DDX_Control(pDX, IDC_NODENAME, m_IDC_nodename);
}


BEGIN_MESSAGE_MAP(CNodeProp, CDialog)
	//{{AFX_MSG_MAP(CNodeProp)
	ON_BN_CLICKED(IDC_SETA, OnSetA)
	ON_BN_CLICKED(IDC_SETI, OnSetI)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNodeProp message handlers

void CNodeProp::OnSetA() 
{
	// TODO: Add your control notification handler code here
		m_IDC_qp.EnableWindow(FALSE); 
		m_IDC_vp.EnableWindow(TRUE);
		SetDlgItemText(IDC_QP,"0"); m_qp=0;
}

void CNodeProp::OnSetI() 
{
	// TODO: Add your control notification handler code here
		m_IDC_vp.EnableWindow(FALSE); 
		m_IDC_qp.EnableWindow(TRUE);
		SetDlgItemText(IDC_VP,"0"); m_vp=0;
}

BOOL CNodeProp::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int SetEm;

	if(m_qp!=0){
		SetEm=IDC_SETI;

		m_IDC_vp.EnableWindow(FALSE); 
		m_IDC_qp.EnableWindow(TRUE);
	}
	else{
		SetEm=IDC_SETA;
		m_IDC_qp.EnableWindow(FALSE); 
		m_IDC_vp.EnableWindow(TRUE);
	}


   CheckRadioButton(
    IDC_SETA,// identifier of first radio button in group
    IDC_SETI,	// identifier of last radio button in group
    SetEm	// identifier of radio button to select
   );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
